Debian Bug report logs - #694340
libgconf2-4 breaks banshee from squeeze

version graph

Package: libgconf2-4; Maintainer for libgconf2-4 is Josselin Mouette <joss@debian.org>; Source for libgconf2-4 is src:gconf.

Reported by: Chow Loong Jin <hyperair@debian.org>

Date: Sun, 25 Nov 2012 17:39:05 UTC

Severity: important

Found in version gconf/3.2.5-1+build1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#694340; Package libgconf2-4. (Sun, 25 Nov 2012 17:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@debian.org>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 25 Nov 2012 17:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgconf2-4: libgconf built with the dbus backend requires dbus-glib to be initialized with threading
Date: Mon, 26 Nov 2012 01:36:38 +0800
[Message part 1 (text/plain, inline)]
Package: libgconf2-4
Version: 3.2.5-0ubuntu4
Severity: critical
Tags: patch
Justification: breaks unrelated software

Dear Maintainer,

Originally from https://bugs.launchpad.net/ubuntu/+source/banshee/+bug/1048341,

Banshee, which uses libgconf through the gconf# bindings, and does not touch
libdbus-glib directly (dbus# is a reimplementation of libdbus, and does not
actually use libdbus(-glib)), is crashing in libgconf with the following stack
trace:

#0  0x00007f609b5cc18d in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x000000000049853b in read (__nbytes=1024, __buf=0x7f607a4e4730, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:45
#2  mono_handle_native_sigsegv (signal=signal@entry=11, ctx=ctx@entry=0x7f607a4e4c40) at mini-exceptions.c:2208
#3  0x00000000004e8daf in mono_arch_handle_altstack_exception (sigctx=sigctx@entry=0x7f607a4e4c40, fault_addr=<optimized out>, stack_ovf=stack_ovf@entry=0) at exceptions-amd64.c:953
#4  0x000000000041fe87 in mono_sigsegv_signal_handler (_dummy=11, info=0x7f607a4e4d70, context=0x7f607a4e4c40) at mini.c:5909
#5  <signal handler called>
#6  0x00007f608c9b7a57 in ?? () from /lib/x86_64-linux-gnu/libdbus-1.so.3
#7  0x00007f608c9bc011 in dbus_message_get_reply_serial () from /lib/x86_64-linux-gnu/libdbus-1.so.3
#8  0x00007f608c9b037e in ?? () from /lib/x86_64-linux-gnu/libdbus-1.so.3
#9  0x00007f608c9c7e5b in ?? () from /lib/x86_64-linux-gnu/libdbus-1.so.3
#10 0x00007f608c9c8864 in ?? () from /lib/x86_64-linux-gnu/libdbus-1.so.3
#11 0x00007f608c9c8ec6 in ?? () from /lib/x86_64-linux-gnu/libdbus-1.so.3
#12 0x00007f608c9c7bfd in ?? () from /lib/x86_64-linux-gnu/libdbus-1.so.3
#13 0x00007f608c9b2904 in ?? () from /lib/x86_64-linux-gnu/libdbus-1.so.3
#14 0x00007f608c9b3cad in ?? () from /lib/x86_64-linux-gnu/libdbus-1.so.3
[1 Debug 17:34:10.781]#15 0x00007f608c9b30ac in dbus_connection_send_with_reply_and_block () from /lib/x86_64-linux-gnu/libdbus-1.so.3
#16 0x00007f608ce3028a in gconf_engine_get_fuller () from /usr/lib/x86_64-linux-gnu/libgconf-2.so.4
#17 0x00007f608ce305be in gconf_engine_get_entry () from /usr/lib/x86_64-linux-gnu/libgconf-2.so.4
#18 0x00007f608ce2a86e in ?? () from /usr/lib/x86_64-linux-gnu/libgconf-2.so.4
#19 0x00007f608ce2cf8d in ?? () from /usr/lib/x86_64-linux-gnu/libgconf-2.so.4


I would like to propose the patch that I have applied onto the the Ubuntu gconf
package (attached here) in order to fix this issue. It ensures that libgconf
initializes DBus-Glib with threads when it is initialized.

-- System Information:
Debian Release: wheezy/sid
  APT prefers quantal-updates
  APT policy: (500, 'quantal-updates'), (500, 'quantal-security'), (500, 'quantal'), (400, 'quantal-proposed'), (100, 'quantal-backports')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.6.6-hyper1 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgconf2-4 depends on:
ii  gconf-service  3.2.5-0ubuntu4
ii  libgconf-2-4   3.2.5-0ubuntu4

libgconf2-4 recommends no packages.

libgconf2-4 suggests no packages.

-- no debconf information
[call-dbus_g_thread_init.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#694340; Package libgconf2-4. (Sun, 25 Nov 2012 21:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 694340@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 25 Nov 2012 21:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 694340@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Chow Loong Jin <hyperair@debian.org>, 694340@bugs.debian.org
Subject: Re: Bug#694340: libgconf2-4: libgconf built with the dbus backend requires dbus-glib to be initialized with threading
Date: Sun, 25 Nov 2012 22:50:22 +0100
severity 694340 serious
thanks

Hi,

Le lundi 26 novembre 2012 à 01:36 +0800, Chow Loong Jin a écrit :
> 
> +  /* Initialize DBus Glib for multithreading -- this fixes race conditions when
> +     multi-threaded applications use gconf. Additionally, although the API
> +     documentation says that dbus_g_thread_init() may only be called once, it is
> +     actually really a wrapper for dbus_threads_init_default() which can be
> +     called as many times as necessary. */ 

Thanks for the patch, but I’m not fond of violating the API just because
it works for the moment. This is precisely the kind of code that can
trigger later the kind of bug you are trying to fix.

OTOH the risk is low, since dbus-glib is a dying library.

Maybe we should just port GConf to GDBus instead, which doesn’t have
this issue, but this is not a small change.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Severity set to 'serious' from 'critical' Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 25 Nov 2012 21:54:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#694340; Package libgconf2-4. (Sun, 25 Nov 2012 23:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 25 Nov 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #17 received at 694340@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@debian.org>
To: 694340@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>
Subject: Re: Bug#694340: libgconf2-4: libgconf built with the dbus backend requires dbus-glib to be initialized with threading
Date: Mon, 26 Nov 2012 07:49:57 +0800
[Message part 1 (text/plain, inline)]
On 26/11/2012 05:50, Josselin Mouette wrote:
> severity 694340 serious
> thanks
> 
> Hi,
> 
> Le lundi 26 novembre 2012 à 01:36 +0800, Chow Loong Jin a écrit :
>>
>> +  /* Initialize DBus Glib for multithreading -- this fixes race conditions when
>> +     multi-threaded applications use gconf. Additionally, although the API
>> +     documentation says that dbus_g_thread_init() may only be called once, it is
>> +     actually really a wrapper for dbus_threads_init_default() which can be
>> +     called as many times as necessary. */ 
> 
> Thanks for the patch, but I’m not fond of violating the API just because
> it works for the moment. This is precisely the kind of code that can
> trigger later the kind of bug you are trying to fix.
> 
> OTOH the risk is low, since dbus-glib is a dying library.
> 
> Maybe we should just port GConf to GDBus instead, which doesn’t have
> this issue, but this is not a small change.

That was mentioned in https://bugzilla.gnome.org/show_bug.cgi?id=683830, but
given that it isn't a small change, it's probably not going to happen for
Wheezy. Can we slap a downstream patch in the meantime? This bug causes Banshee
to crash pretty reliably.

I recall some other C# applications being affected as well, and forcing all of
them to add a dependency on dbus-glib to call dbus_g_thread_init seems wrong,
especially when dbus usage is supposed to be an implementation detail in
libgconf, and C# programs in general use DBus# which is a complete
reimplementation of libdbus.

-- 
Kind regards,
Loong Jin

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#694340; Package libgconf2-4. (Mon, 26 Nov 2012 09:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to 694340@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Mon, 26 Nov 2012 09:33:08 GMT) Full text and rfc822 format available.

Message #22 received at 694340@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Chow Loong Jin <hyperair@debian.org>, 694340@bugs.debian.org
Subject: Re: Bug#694340: libgconf2-4: libgconf built with the dbus backend requires dbus-glib to be initialized with threading
Date: Mon, 26 Nov 2012 10:28:43 +0100
Le lundi 26 novembre 2012 à 07:49 +0800, Chow Loong Jin a écrit : 
> > Maybe we should just port GConf to GDBus instead, which doesn’t have
> > this issue, but this is not a small change.
> 
> That was mentioned in https://bugzilla.gnome.org/show_bug.cgi?id=683830, but
> given that it isn't a small change, it's probably not going to happen for
> Wheezy. Can we slap a downstream patch in the meantime? This bug causes Banshee
> to crash pretty reliably.

But we can’t fix the bug by introducing another bug.

After reading the upstream discussion, I am convinced your patch is a
bad idea, since it will fix banshee but might trigger crashes in other
applications.

Only a port to GDBus would do the trick, unfortunately.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#694340; Package libgconf2-4. (Mon, 26 Nov 2012 10:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Mon, 26 Nov 2012 10:48:06 GMT) Full text and rfc822 format available.

Message #27 received at 694340@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@debian.org>
To: 694340@bugs.debian.org
Subject: Re: Bug#694340: libgconf2-4: libgconf built with the dbus backend requires dbus-glib to be initialized with threading
Date: Mon, 26 Nov 2012 18:44:43 +0800
[Message part 1 (text/plain, inline)]
On 26/11/2012 17:28, Josselin Mouette wrote:
> Le lundi 26 novembre 2012 à 07:49 +0800, Chow Loong Jin a écrit : 
>>> Maybe we should just port GConf to GDBus instead, which doesn’t have
>>> this issue, but this is not a small change.
>>
>> That was mentioned in https://bugzilla.gnome.org/show_bug.cgi?id=683830, but
>> given that it isn't a small change, it's probably not going to happen for
>> Wheezy. Can we slap a downstream patch in the meantime? This bug causes Banshee
>> to crash pretty reliably.
> 
> But we can’t fix the bug by introducing another bug.
> 
> After reading the upstream discussion, I am convinced your patch is a
> bad idea, since it will fix banshee but might trigger crashes in other
> applications.
> 
> Only a port to GDBus would do the trick, unfortunately.

I guess we'll have to hack in a patch further downstream then. Perhaps
gconf-sharp. I think I might have tried sometime back, but I don't recall why
that didn't work.

-- 
Kind regards,
Loong Jin

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#694340; Package libgconf2-4. (Sat, 26 Jan 2013 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 26 Jan 2013 10:57:03 GMT) Full text and rfc822 format available.

Message #32 received at 694340@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 694340@bugs.debian.org
Cc: 694340-submitter@bugs.debian.org
Subject: ping?
Date: Sat, 26 Jan 2013 10:54:00 +0000
[Message part 1 (text/plain, inline)]
The chances of libgconf being rewritten to use GDBus any time soon seem
slim - and the chances of getting this kind of change into wheezy seems
equally slim. Has anything happened on this bug since the last comment
in November?

Overall, what's the status of this bug?

banshee itself has had numerous changes in experimental, including one
change which appears to be related to this bug:
banshee (2.3.1-1) experimental; urgency=low
...
 - bgo#659841: GnomeBackend: Be more robust against GConf failures (LP:
#854845)
...

and LP: #854845 is titled: Banshee.exe crashes a lot

What are the chances of this patch being isolated from the banshee
sources and introduced as an limited scope patch for unstable which can
then migrate into wheezy?

The git repository linked from the Debian PTS hasn't had any changes
for 7 months.:
http://anonscm.debian.org/gitweb/?p=pkg-cli-apps/packages/banshee.git;a=log
last change	Mon, 4 Jun 2012 18:01:39 +0000


-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Message sent on to Chow Loong Jin <hyperair@debian.org>:
Bug#694340. (Sat, 26 Jan 2013 10:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#694340; Package libgconf2-4. (Sat, 26 Jan 2013 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. (Sat, 26 Jan 2013 15:18:03 GMT) Full text and rfc822 format available.

Message #40 received at 694340@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Neil Williams <codehelp@debian.org>, 694340@bugs.debian.org
Cc: 694340-submitter@bugs.debian.org
Subject: Re: Bug#694340: ping?
Date: Sat, 26 Jan 2013 16:16:04 +0100
Hi Niel,

Le samedi 26 janvier 2013 à 10:54 +0000, Neil Williams a écrit : 
> The chances of libgconf being rewritten to use GDBus any time soon seem
> slim - and the chances of getting this kind of change into wheezy seems
> equally slim. Has anything happened on this bug since the last comment
> in November?
> 
> Overall, what's the status of this bug?

I’m afraid we’re stuck in a dead-end here. If we add the
dbus_threads_init_default() call, we’re at risk of triggering other
crashes, even harder to debug, as mentioned by Ray Strode.

Since Banshee does not use dbus-glib in other places, we can however put
calls to this function in the thread that uses GConf, right before the
GConf initialisation. I don’t know how hard it would be.

If that can help, I can add a convenience function (a private API hidden
in #ifdef’s) to initialize GConf with this call. It’s a bit ugly but we
know for sure it won’t impact anything outside Banshee.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Message sent on to Chow Loong Jin <hyperair@debian.org>:
Bug#694340. (Sat, 26 Jan 2013 15:18:06 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Sat, 02 Feb 2013 18:33:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.2.5-0ubuntu4. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Tue, 05 Feb 2013 18:45:06 GMT) Full text and rfc822 format available.

Marked as found in versions gconf/3.2.5-1+build1. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Tue, 05 Feb 2013 18:45:06 GMT) Full text and rfc822 format available.

Bug 694340 cloned as bug 700585 Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 14 Feb 2013 19:45:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 694340: 700585 Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 14 Feb 2013 19:45:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'libgconf2-4 breaks banshee from squeeze' from 'libgconf2-4: libgconf built with the dbus backend requires dbus-glib to be initialized with threading' Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 14 Feb 2013 19:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#694340; Package libgconf2-4. (Thu, 14 Feb 2013 20:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. (Thu, 14 Feb 2013 20:21:07 GMT) Full text and rfc822 format available.

Message #60 received at 694340@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 694340@bugs.debian.org
Cc: Chow Loong Jin <hyperair@debian.org>
Subject: Needs fixing in banshee
Date: Thu, 14 Feb 2013 20:42:32 +0100
clone 694340 -1
reassign -1 banshee
retitle -1 needs to initialize dbus threading because of GConf
block 694340 by -1
retitle 694340 libgconf2-4 breaks banshee from squeeze
thanks

Hi,

in the absence of a reply, I consider banshee is the package needing
fixing, by adding the call to dbus_threads_init_default().

Just poke me when you’re done and I’ll add a Breaks in libgconf2-4
against unfixed versions.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#694340; Package libgconf2-4. (Sun, 03 Mar 2013 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 03 Mar 2013 02:15:03 GMT) Full text and rfc822 format available.

Message #65 received at 694340@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Josselin Mouette <joss@debian.org>, 694340@bugs.debian.org
Cc: Chow Loong Jin <hyperair@debian.org>, control@bugs.debian.org
Subject: Re: Bug#694340: Needs fixing in banshee
Date: Sun, 03 Mar 2013 03:10:54 +0100
[Message part 1 (text/plain, inline)]
On 14.02.2013 20:42, Josselin Mouette wrote:
> clone 694340 -1
> reassign -1 banshee
> retitle -1 needs to initialize dbus threading because of GConf
> block 694340 by -1
> retitle 694340 libgconf2-4 breaks banshee from squeeze
> thanks
> 
> Hi,
> 
> in the absence of a reply, I consider banshee is the package needing
> fixing, by adding the call to dbus_threads_init_default().
> 
> Just poke me when you’re done and I’ll add a Breaks in libgconf2-4
> against unfixed versions.

Seems this never reached control@b.d.o, so it wasn't re-assigned.



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug 694340 cloned as bug 702138 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 03 Mar 2013 02:18:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 694340: 702138 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 03 Mar 2013 02:18:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#694340; Package libgconf2-4. (Wed, 13 Mar 2013 03:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 13 Mar 2013 03:21:06 GMT) Full text and rfc822 format available.

Message #74 received at 694340@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: Josselin Mouette <joss@debian.org>
Cc: 694340@bugs.debian.org, Chow Loong Jin <hyperair@debian.org>
Subject: Re: Needs fixing in banshee
Date: Wed, 13 Mar 2013 04:18:58 +0100
[Message part 1 (text/plain, inline)]
On 02/14/2013 08:42 PM, Josselin Mouette wrote:

...
> Just poke me when you’re done and I’ll add a Breaks in libgconf2-4
> against unfixed versions.

Hi Josselin,

The cloned bug, #702138 has been fixed.

Cheers,
Balint
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#694340; Package libgconf2-4. (Sun, 17 Mar 2013 09:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. (Sun, 17 Mar 2013 09:24:04 GMT) Full text and rfc822 format available.

Message #79 received at 694340@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: balint@balintreczey.hu, 694340@bugs.debian.org
Cc: Chow Loong Jin <hyperair@debian.org>
Subject: Re: Bug#694340: Needs fixing in banshee
Date: Sun, 17 Mar 2013 10:20:30 +0100
Le mercredi 13 mars 2013 à 04:18 +0100, Bálint Réczey a écrit :
> On 02/14/2013 08:42 PM, Josselin Mouette wrote:
> 
> ...
> > Just poke me when you’re done and I’ll add a Breaks in libgconf2-4
> > against unfixed versions.
> 
> Hi Josselin,
> 
> The cloned bug, #702138 has been fixed.

Thanks for the notice.

I have prepared a new gconf upload, but the release team is not fond of
the idea of a new Breaks, since APT has shown difficulty to upgrade
systems when there are a lot of them. We already had to remove some of
them in glib2.0, for example.

Therefore, could you please elaborate on the amount of crashing banshee
was subject to before you applied the workaround in gconf# ? It would
help making a decision regarding whether to upload.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Severity set to 'important' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 22 Mar 2013 13:15:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:30:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.